@import (reference) 'mixins';
@import (reference) 'settings';

.submission {
  margin-bottom: 1rem;
}

.submission-header > * {
  margin-bottom: 0;
}

.submission-row {
  .vote-flex;
}

.submission-title {
  font-size: 1.33rem;
  font-weight: normal;
  margin: 0;
}

.submission-link:visited {
  color: @submission-link-color-visited;
}

.submission-info {
  .meta;
}

.submission-nav {
  .meta-nav;
}

.submission-body {
  padding-top: 1rem;
}

.submission-sort {
  .horizontal-menu();

  ul {
    display: table;
  }

  li {
    display: table-cell;
  }

  a {
    background: @submission-sort-link-background-color;
    color: @submission-sort-link-color;
    display: block;
    padding: 0.5rem 1rem;
  }

  .active {
    background-color: @submission-sort-active-link-background-color;
    color: @submission-sort-active-link-color;
  }
}
